channel_configuration Class Reference

`#include <receiver_config.h>`

## Public Member Functions

| channel_configuration ()
void | set_multiframe_type (int timeslot_nr, multiframe_type type)
void | set_burst_types (int timeslot_nr, const unsigned mapping[], unsigned mapping_size, burst_type b_type)
void | set_single_burst_type (int timeslot_nr, int burst_nr, burst_type b_type)
burst_type | get_burst_type (burst_counter burst_nr)

## Constructor & Destructor Documentation

## channel_configuration()

channel_configuration::channel_configuration | ( |  | ) |

inline

References TS_PER_FRAME, and unknown.

## Member Function Documentation

## get_burst_type()

burst_type channel_configuration::get_burst_type | ( | burst_counter | burst_nr | ) |

## set_burst_types()

void channel_configuration::set_burst_types | ( | int | timeslot_nr,
|  | const unsigned | mapping[],
|  | unsigned | mapping_size,
|  | burst_type | b_type )

inline

## set_multiframe_type()

void channel_configuration::set_multiframe_type | ( | int | timeslot_nr,
|  | multiframe_type | type )

inline

## set_single_burst_type()

void channel_configuration::set_single_burst_type | ( | int | timeslot_nr,
|  | int | burst_nr,
|  | burst_type | b_type )

inline

The documentation for this class was generated from the following file:

- receiver_config.h